aboutsummaryrefslogtreecommitdiffstats
path: root/git-submodule.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2018-05-22 14:25:26 +0900
committerJunio C Hamano <gitster@pobox.com>2018-05-22 14:25:26 +0900
commit68f95b26e43f8183b9d1cdd41f42e99da43152bf (patch)
tree4f4b323fe659afdcce0f105b3dbfc0eafd0965a3 /git-submodule.sh
parent468165c1d8a442994a825f3684528361727cd8c0 (diff)
parenta42a58d7b62cc1d6301440e81a83feed9d7c118c (diff)
downloadgit-68f95b26e43f8183b9d1cdd41f42e99da43152bf.tar.gz
Sync with Git 2.16.4
* maint-2.16: Git 2.16.4 Git 2.15.2 Git 2.14.4 Git 2.13.7 verify_path: disallow symlinks in .gitmodules update-index: stat updated files earlier verify_dotfile: mention case-insensitivity in comment verify_path: drop clever fallthrough skip_prefix: add case-insensitive variant is_{hfs,ntfs}_dotgitmodules: add tests is_ntfs_dotgit: match other .git files is_hfs_dotgit: match other .git files is_ntfs_dotgit: use a size_t for traversing string submodule-config: verify submodule names as paths
Diffstat (limited to 'git-submodule.sh')
-rwxr-xr-xgit-submodule.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/git-submodule.sh b/git-submodule.sh
index 24914963ca..7e27d0a0da 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -229,6 +229,11 @@ Use -f if you really want to add it." >&2
sm_name="$sm_path"
fi
+ if ! git submodule--helper check-name "$sm_name"
+ then
+ die "$(eval_gettext "'$sm_name' is not a valid submodule name")"
+ fi
+
# perhaps the path exists and is already a git repo, else clone it
if test -e "$sm_path"
then